High-Level Data Reduction Library: ap_t Struct Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Data Fields
ap_t Struct Reference

`#include <hdrl_cat_def.h>`

Collaboration diagram for ap_t:
[legend]

## Data Fields
cpl_size | areal [NAREAL]
cpl_size | lsiz
cpl_size | csiz
cpl_size | maxip
cpl_size | maxbl
cpl_size | maxpa
cpl_size | ipnop
cpl_size | nimages
cpl_size | ipstack
cpl_size | ibstack
double | thresh
double | background
double | sigma
cpl_size | multiply
double | xintmin
cpl_size | mulpix
double | areal_offset
double | fconst
double | saturation
cpl_size | icrowd
cpl_size * | blink
cpl_size * | bstack
struct { |
cpl_size first |
cpl_size last |
cpl_size pnop |
cpl_size growing |
cpl_size touch |
cpl_size pnbp |
} * | parent |
cpl_size * | pstack
plstruct * | plessey
cpl_size * | lastline
cpl_image * | inframe
cpl_image * | conframe
double * | indata
double * | confdata
unsigned char * | mflag
cpl_mask * | opmask
double | rcore
double | filtfwhm
plstruct * | plarray
cpl_size | npl
cpl_size | npl_pix
double | fwhm
struct { |
cpl_size nbx |
cpl_size nby |
cpl_size nbsize |
double ** bvals |
} | backmap |

## Field Documentation

## ◆ areal

cpl_size ap_t::areal[NAREAL]

## ◆ areal_offset

double ap_t::areal_offset

## ◆ background

double ap_t::background

## ◆ [struct]

struct { ... } ap_t::backmap

## ◆ blink

cpl_size* ap_t::blink

## ◆ bstack

cpl_size* ap_t::bstack

## ◆ bvals

double** ap_t::bvals

## ◆ confdata

double* ap_t::confdata

## ◆ conframe

cpl_image* ap_t::conframe

## ◆ csiz

cpl_size ap_t::csiz

## ◆ fconst

double ap_t::fconst

## ◆ filtfwhm

double ap_t::filtfwhm

## ◆ first

cpl_size ap_t::first

## ◆ fwhm

double ap_t::fwhm

## ◆ growing

cpl_size ap_t::growing

## ◆ ibstack

cpl_size ap_t::ibstack

## ◆ icrowd

cpl_size ap_t::icrowd

## ◆ indata

double* ap_t::indata

## ◆ inframe

cpl_image* ap_t::inframe

## ◆ ipnop

cpl_size ap_t::ipnop

## ◆ ipstack

cpl_size ap_t::ipstack

## ◆ last

cpl_size ap_t::last

## ◆ lastline

cpl_size* ap_t::lastline

## ◆ lsiz

cpl_size ap_t::lsiz

## ◆ maxbl

cpl_size ap_t::maxbl

## ◆ maxip

cpl_size ap_t::maxip

## ◆ maxpa

cpl_size ap_t::maxpa

## ◆ mflag

unsigned char* ap_t::mflag

## ◆ mulpix

cpl_size ap_t::mulpix

## ◆ multiply

cpl_size ap_t::multiply

## ◆ nbsize

cpl_size ap_t::nbsize

## ◆ nbx

cpl_size ap_t::nbx

## ◆ nby

cpl_size ap_t::nby

## ◆ nimages

cpl_size ap_t::nimages

## ◆ npl

cpl_size ap_t::npl

## ◆ npl_pix

cpl_size ap_t::npl_pix

## ◆ opmask

cpl_mask* ap_t::opmask

## ◆ [struct]

struct { ... } * ap_t::parent

## ◆ plarray

plstruct* ap_t::plarray

## ◆ plessey

plstruct* ap_t::plessey

## ◆ pnbp

cpl_size ap_t::pnbp

## ◆ pnop

cpl_size ap_t::pnop

## ◆ pstack

cpl_size* ap_t::pstack

## ◆ rcore

double ap_t::rcore

## ◆ saturation

double ap_t::saturation

## ◆ sigma

double ap_t::sigma

## ◆ thresh

double ap_t::thresh

## ◆ touch

cpl_size ap_t::touch

## ◆ xintmin

double ap_t::xintmin

The documentation for this struct was generated from the following file:

- catalogue/hdrl_cat_def.h